html,
body {
  background-image: none;
}

.scrolling-text {
  width: calc(100% - 20px);
  overflow: hidden;
  background: var(--purple-color); /* optional */
  padding: 10px;
  border-top: 5px solid var(--orange-color);
  border-bottom: 5px solid var(--orange-color);
}

.scrolling-track {
  display: flex;
  gap: 7rem; /* distance between repeated texts */
  white-space: nowrap;
  padding: 10px 0;

  animation: scroll-left 20s linear infinite;
  will-change: transform;
}

.scrolling-track span {
  font-weight: 600;
  color: white;
  flex-shrink: 0;
  font-size: larger;
}

@keyframes scroll-left {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(-50%, 0, 0);
  }
}

.location-hero {
  padding: 10px 20px 10px 20px;
  text-align: center;
  background: white;
  color: var(--purple-color);
}

.location-hero h1 {
  font-size: 40px;
  margin-bottom: 10px;
}

.search-box {
  margin: 30px auto 0;
}

.search-box input {
  padding: 14px;
  width: 260px;
  border-radius: 8px;
  border: 0;
  border: 2px solid #fafafa;
}

.search-box button {
  padding: 14px 20px;
  border: 0;
  border-radius: 8px;
  background: #ff6b00;
  color: #fff;
  cursor: pointer;
}

.location-explorer {
  background-color: #fafafa;
  padding: 0px 5%;
  display: flex;
  height: 650px;
  margin: 20px 0px 40px 0px;
}

.map-container {
  width: 60%;
  background-color: #fafafa;
}

#map {
  position: relative;
  top: 10%;
  left: 5%;
  height: 80%;
  width: 90%;
  border-radius: 20px;
}

.location-panel {
  width: 40%;
  background: #fafafa;
  overflow-y: auto;
  padding: 0px 50px;
}

.panel-title {
  top: 0;
  background: #fafafa;
  padding-bottom: 15px;
  z-index: 5;
}

.location-card {
  background: #fff;
  padding: 20px 30px;
  margin-bottom: 15px;
  border-radius: 12px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.08);
  cursor: pointer;
}

.location-card.active {
  border: 3px solid #ff6b00;
}

.location-card h3 {
  margin-top: 0;
}

.location-card a {
  color: #ff6b00;
  font-weight: bold;
}

@media (max-width: 900px) {
  .location-explorer {
    display: block;
    height: auto;
  }
  .map-container {
    width: 100%;
    height: 400px;
  }
  .location-panel {
    width: 90%;
    margin: auto;
  }
}

@media (max-width: 500px) {
  .scrolling-text {
    padding: 5px;
    padding-left: 150px;
  }

  .scrolling-track {
    display: flex;
    gap: 100px; /* distance between repeated texts */
    animation: scroll-left-300 10s linear infinite;
  }

  .scrolling-track span {
    font-size: x-small;
  }

  @keyframes scroll-left-300 {
    0% {
      transform: translate3d(0, 0, 0);
    }
    100% {
      transform: translate3d(-200%, 0, 0);
    }
  }
}
